Bug 869874 - "node_modules" is detected as a cartridge type when run "service openshift-gears status" on instance
"node_modules" is detected as a cartridge type when run "service openshift-ge...
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2012-10-24 23:41 EDT by Meng Bo
Modified: 2015-05-14 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-06 13:49:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-10-24 23:41:06 EDT
Description of problem:
Create nodejs app on node, login to instance and run 'service openshift-gears status' to check the app status.
Some error like the following appears:
    Checking http for no1Application 'no1' is running      [  OK  ]
                                                           [  OK  ]
    Checking http for no1runcon: /usr/libexec/openshift/cartridges/node_modules/info/bin/app_ctl.sh: No such file or directory

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create nodejs app
2.Login to instance
3.Check gears status
#service openshift-gears status
Actual results:
It will try to run some non-exist script. App name is 'no1'.
Checking http for no1runcon: /usr/libexec/openshift/cartridges/node_modules/info/bin/app_ctl.sh: No such file or directory

Expected results:
No such exception.

Additional info:
[root@domU-12-31-38-04-6E-72 ~]# cd /usr/libexec/openshift/cartridges/
[root@domU-12-31-38-04-6E-72 cartridges]# ls
10gen-mms-agent-0.1  abstract-jboss  embedded     jbosseap-6.0  jenkins-client-1.4  mysql-5.1   php-5.3         postgresql-8.4  ruby-1.8
abstract             cron-1.4        haproxy-1.4  jbossews-1.0  metrics-0.1         nodejs-0.6  phpmoadmin-1.0  python-2.6      ruby-1.9
abstract-httpd       diy-0.1         jbossas-7    jenkins-1.4   mongodb-2.2         perl-5.10   phpmyadmin-3.4  rockmongo-1.1   zend-5.6
Comment 1 Rob Millner 2012-10-26 18:28:31 EDT
Added to pull request:
Comment 2 Xiaoli Tian 2012-10-28 22:37:46 EDT
(In reply to comment #1)
> Added to pull request:
> https://github.com/openshift/origin-server/pull/777

Move it to ON_QA since above pull request is merged
Comment 3 Meng Bo 2012-10-29 01:31:25 EDT
Tested on devenv_2397, issue has been fixed.

[root@ip-10-122-55-61 ~]# service openshift-gears status
Checking OpenShift Services: 

Checking application no1 status:
Application 'no1' is running

Note You need to log in before you can comment on or make changes to this bug.